Bug 461945 - Connecting to unknown host doesn't present yes/no dialog
Connecting to unknown host doesn't present yes/no dialog
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan F. Chadima
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-11 11:35 EDT by James Laska
Modified: 2013-09-02 02:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-28 04:27:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (24.00 KB, image/png)
2008-09-11 11:35 EDT, James Laska
no flags Details
virt-manager.log (37.51 KB, text/plain)
2008-09-11 11:48 EDT, James Laska
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenSSH Project 1542 None None None Never

  None (edit)
Description James Laska 2008-09-11 11:35:30 EDT
Created attachment 316451 [details]
Screenshot

Description of problem:

The dialog that appears requesting confirmation to connect to the system uses the passphrase entry dialog, instead of a 'yes/no' dialog.

Version-Release number of selected component (if applicable):

libvirt-0.4.5-2.fc10.i386
virt-manager-0.6.0-1.fc10.i386
qemu-0.9.1-10.fc10.i386

How reproducible:
100%

Steps to Reproduce:
1. Left-click on gnome-applet-vm 
2. Select connections
3. Select Add
4. Select Driver=QEMU/KVM, check remote connection, enter remote hostname details, username=root, transport=SSH
5. Click submit
6. In connections window, select [X] to enable the new connection.

Actual results:
See screenshot

Expected results:

Additional info:
Comment 1 James Laska 2008-09-11 11:48:06 EDT
Created attachment 316452 [details]
virt-manager.log
Comment 2 Bug Zapper 2008-11-25 22:02:33 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Cole Robinson 2008-12-01 16:47:50 EST
We don't control this dialog, it actually comes from ssh. Changing component to OpenSSH.
Comment 4 Tomas Mraz 2008-12-02 03:23:38 EST
If you write yes as a passphrase I suppose it will work, wouldn't it? The problem with the askpass dialog is that the ssh client does not give any information to the askpass application whether it is a regular passphrase question or any other question which can be echoed. I am afraid that this will have to be solved upstream first. I'll report it to the upstream bugzilla.
Comment 5 Fedora Admin XMLRPC Client 2009-03-10 06:15:33 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Jan F. Chadima 2009-04-28 04:27:11 EDT
We believe that it is more appropriate for this issue to be resolved upstream.
Red Hat will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.
Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.